# Uses of Interface
javax.help.TextHelpModel

Packages that use TextHelpModel
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.

## Uses of TextHelpModel in javax.help

Classes in javax.help that implement TextHelpModel
Modifier and Type
Class
Description
`class`
`DefaultHelpModel`
This class implements the javax.help.HelpModel API and notifies the JHelpModel listeners when changes occur.
Fields in javax.help declared as TextHelpModel
Modifier and Type
Field
Description
`protected TextHelpModel`
JHelp.`helpModel`
`protected TextHelpModel`
JHelpContentViewer.`model`
Methods in javax.help that return TextHelpModel
Modifier and Type
Method
Description
`protected TextHelpModel`
Presentation.`getHelpModel()`
`TextHelpModel`
JHelp.`getModel()`
`TextHelpModel`
JHelpContentViewer.`getModel()`
Methods in javax.help with parameters of type TextHelpModel
Modifier and Type
Method
Description
`void`
JHelp.`setModel(TextHelpModel newModel)`
Sets the HelpModel that provides the data.
`void`
JHelpContentViewer.`setModel(TextHelpModel newModel)`
Sets the HelpModel that provides the data.
Constructors in javax.help with parameters of type TextHelpModel
Modifier
Constructor
Description
``
`JHelp(TextHelpModel model)`
Create a JHelp using the TextHelpModel.
``
`JHelp(TextHelpModel model, HelpHistoryModel history, HelpSet.Presentation hsPres)`
Create a JHelp using the TextHelpModel and HelpHistoryModel
``
`JHelpContentViewer(TextHelpModel model)`
Creates a JHelp with an specific TextHelpModel as its data model.